<!-- Define the HTML document with Thymeleaf and layout namespaces -->
<html xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="layouts/defaultTemplate">

<body>
	<!-- Content fragment for the layout -->
	<div layout:fragment="content">
		<!-- Welcoming the logged-in user by displaying the user's name from the session -->
		<h1 style="text-align: left">Welcome in,
			<strong><span th:text="${session.user}"></span></strong>
		</h1>

		<!-- Table to display orders -->
		<table style="width: 50%">
			<thead>
				<tr>
					<!-- Table headers for each column -->
					<th style="text-align: center">Order Number</th>
					<th style="text-align: center">Product Name</th>
					<th style="text-align: center">Price</th>
					<th style="text-align: center">Quantity</th>
				</tr>
			</thead>
			<tbody>
				<!-- Row to display when no orders are available -->
				<tr th:if="${orders.empty}">
					<td style="text-align: center" colspan="4">No Orders Available</td>
				</tr>
				<!-- Loop through each order in the 'orders' list and display them in the table -->
				<tr th:each="order : ${orders}">
					<td style="text-align: center">
						<!-- Display the order number -->
						<h5 th:text="${order.orderNo}">0000000000</h5>
					</td>
					<td style="text-align: center">
						<!-- Display the product name -->
						<h5 th:text="${order.productName}">Product 1</h5>
					</td>
					<td style="text-align: center">
						<!-- Display the product price -->
						<h5 th:text="${order.price}">1.00</h5>
					</td>
					<td style="text-align: center">
						<!-- Display the quantity of the product ordered -->
						<h5 th:text="${order.quantity}">1</h5>
					</td>
				</tr>
			</tbody>
		</table>
	</div>
</body>

</html>
